Patch a list item

Base URL
https://{kibana_url}
  • PATCH /api/lists/items
  • PATCH /s/{space_id}/api/lists/items
Auth

Update specific fields of an existing list item using the list item ID.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

List item's properties

_version string
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

meta object
refresh enum

Determines when changes made by the request are made visible to search

Values: true false wait_for
value string · format: nonempty · min length: 1

A string that does not contain only whitespace characters

Responses

Successful response

application/json
_version string
@timestamp string · format: date-time
created_at string · format: date-time required
created_by string required
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

list_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

meta object
tie_breaker_id string required
type enum required
Values: binary boolean byte date date_nanos date_range double double_range float float_range geo_point geo_shape
updated_at string · format: date-time required
updated_by string required
value string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

List item not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}